Skip to navigation

Get safety events time series

Retrieve daily safety event counts over a specified period for event charts.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

fleet_idslist of strings or nullOptional

Limit results to specific fleets using Catena’s fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).

fleet_refslist of strings or nullOptional

Limit results to specific fleets using your organization’s fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).

connection_idstring or nullOptionalformat: "uuid"
Limit results to a specific provider connection. This is the UUID assigned by Catena when your fleet connects to a TSP.
from_datetimedatetimeRequired

Start of the event time-series window. Format: ISO 8601 (UTC) Applies filter: occurred_at >= from_datetime

period_daysintegerOptional1-365Defaults to 30

Number of days to include in the event time-series window.

Response

Successful Response
datedate

Calendar date for this data point (YYYY-MM-DD).

countinteger
Number of events that occurred on this specific date.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
501
Not Implemented Error